ALTER TABLE `teach_clazz` 
DROP INDEX `teach_clazz_unique` ;
;
ALTER TABLE `teach_clazz` 
DROP COLUMN `basic_course_id`,
DROP COLUMN `teach_clazz_name`,
DROP COLUMN `teach_clazz_code`,
ADD COLUMN `teach_course_id` BIGINT NOT NULL AFTER `school_id`,
ADD COLUMN `basic_teach_clazz_id` BIGINT NOT NULL AFTER `teach_course_id`,
ADD COLUMN `clazz_name` VARCHAR(50) NOT NULL COMMENT '教学课程名称' AFTER `user_id`;
ALTER TABLE `teach_clazz` 
ADD UNIQUE INDEX `teach_clazz_unique` (`teach_course_id` ASC, `basic_teach_clazz_id` ASC) VISIBLE;
;


INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `enable`, `default_auth`, `front_display`) VALUES ('1127', '共用接口-查询教学班字典', '/api/admin/basic/condition/list_basic_teach_clazz', 'URL', '149', '16', 'SYS', '1', '1', '1');
ALTER TABLE `teach_student` 
CHANGE COLUMN `basic_course_id` `teach_course_id` BIGINT NOT NULL COMMENT '教学课程id（冗余）' ;
